//--------------------------------------------------------------
// File     : stm32_ub_ext_int5to9.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_EXT_INT5TO9_H
#define __STM32F4_UB_EXT_INT5TO9_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include "stm32f4xx_gpio.h"
#include "stm32f4xx_rcc.h"
#include "stm32f4xx_exti.h"
#include "stm32f4xx_syscfg.h"
#include "misc.h"

//--------------------------------------------------------------
// Anzahl der Ext-Interrupts (5 bis 9)
//--------------------------------------------------------------
#define  EXT_INT5TO9_ANZ   2 // Anzahl der Interrupts (1 bis 5)


//--------------------------------------------------------------
// Struktur eines EXT_INT
//--------------------------------------------------------------
typedef struct {
  uint8_t INT_NR;         // Nummer vom Interrupt [5 bis 9]
  GPIO_TypeDef* INT_PORT; // Port
  const uint16_t INT_PIN; // Pin
  const uint32_t INT_CLK; // Clock
  const uint8_t INT_SOURCE; // Source
  GPIOPuPd_TypeDef INT_R; // Widerstand
  EXTITrigger_TypeDef INT_TRG; // Trigger
}EXT_INT5TO9_t;


//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void UB_Ext_INT5TO9_Init(void);


//--------------------------------------------------------------
#endif // __STM32F4_UB_EXT_INT5To9_H
